# Container Registry
Image pullen\
`docker pull mcr.informatik.uni-halle.de/studio-r215/containerize/<image>:<tag>`

## Images
### ti-coder-ubuntu-python
Ubuntu mit python, pip, venv, conda und poetry.

#### tags
| Tag    | Basis                     | Zusatz                       |
|--------|---------------------------|------------------------------|
| latest | = 24                      |                              |
| 24     | Ubuntu 24.04, Python 3.12 | venv, Poetry, miniconda (24) |
| 22     | Ubuntu 22.04, Python 3.10 | venv, Poetry, miniconda (24) |

### php-fpm

Alpine Linux with PHP FPM. This is the official alpine PHP FPM version enriched by modules.

#### tags
| Tag    | Basis             | Addon Modules                |
|--------|-------------------|------------------------------|
| 83     | PHP FPM 8.3       | bzip2, zip, intl, gd, pdo, <br> pdo_mysql, mysqli, igbinary, redis, opcache |


# Helm Package Repository
Repository hinzufügen\
`helm repo add containerize https://gitlab.informatik.uni-halle.de/api/v4/projects/2856/packages/helm/stable`

Charts anzeigen\
`helm search repo containerize`

Chart installieren\
`helm upgrade --install containerize/<chart> --set <key>=<value>`

## Charts
### vdo-ninja
vdo.ninja ist ein WebRTC-Server, der es ermöglicht, Video- und Audiostreams Browser-basiert zu übertragen.
* <https://vdo.ninja/>
* <https://docs.vdo.ninja/>
* <https://github.com/steveseguin/vdo.ninja>

#### Parameter
| Parameter | Beschreibung                                                   | Default |
|-----------|----------------------------------------------------------------|---------|
| url       | URL-Prefix des Server (\<url\>.tikube.informatik.uni-halle.de) | null    |


### ti-lamp
A LAMP deployment: Apache + MariaDB/MySQL/Percona + PHP and addons (GIT, SVN, PMA, ...) as Pods in a single deployment.

##### Parameter

Utilize a configuration file to store values. The parameters are outlined within [this document](helm/ti-lamp/README.md).

### ti-coder
Installation von Coder mit einer postgresql Datenbank.

#### Parameter
Die Parameter sind in der [README.md](helm/ti-coder/README.md) des Helm Charts beschrieben.